Virtualbox-kernel su slackware 14.2 ma con kernel 5.10.4

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Rispondi
Avatar utente
joe
Iper Master
Iper Master
Messaggi: 3311
Iscritto il: ven 27 apr 2007, 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Virtualbox-kernel su slackware 14.2 ma con kernel 5.10.4

Messaggio da joe »

Fino a poco tempo fa avevo installato virtualbox via SBo su slackware 14.2.
Quindi:
Versione 5.0.40
Compilato con kernel 4.4.240

Il pacchetto di dipendenza virtualbox-kernel di identica versione era anche lui compilato sullo stesso kernel di default aggiornato al 4.4.240, come da repo ufficiale slackware.

Per vari motivi ho aggiornato il kernel alla versione 5.10.4.

Di conseguenza il modulo virtualbox-kernel necessario a virtualbox non funziona più.
Ho tentato la ricompilazione contro il kernel attuale dello stesso pacchetto, sempre via SBo. Quindi stessa versione di prima 5.0.40.
Purtroppo però se ne esce con un errore.

Codice: Seleziona tutto

  LD [M]  sound/usb/usx2y/snd-usb-usx2y.ko
  CC [M]  sound/x86/snd-hdmi-lpe-audio.mod.o
  LD [M]  sound/x86/snd-hdmi-lpe-audio.ko
  CC [M]  virt/lib/irqbypass.mod.o
  LD [M]  virt/lib/irqbypass.ko
make[2]: uscita dalla directory "/usr/src/linux-5.10.4"
make[1]: uscita dalla directory "/tmp/sbopkg.KxggI7/virtualbox-kernel-5.0.40/vboxdrv"
cp: impossibile eseguire stat di 'vboxdrv/vboxdrv.ko': File o directory non esistente
Makefile:39: set di istruzioni per l'obiettivo "all" non riuscito
make: *** [all] Errore 1
Cleaning up...

virtualbox-kernel:
Would you like to continue processing the rest of the
queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?: n
Tra l'altro ha impiegato ore per poi morire così... va be'.

Temo che potrebbe essere colpa del kernel troppo nuovo, rispetto allo slackbuild del pacchetto che è adattato a slackware 14.2 col suo kernel più vecchio.

Ho provato a prendere i sorgenti del pacchetto dal repo SBo-git di ponce:

https://github.com/Ponce/slackbuilds/tr ... box-kernel

Lì si trova però la versione di virtualbox più recente e il tutto è adattato a slackware current ovviamente.
Ho tentato comunque la fortuna lanciando lo slackbuild.
Ma...

Non compila.
Allego l'errore, per completezza.
Per quello che ne so potrebbe anche essere che richieda un compilatore più recente e varie librerie nuove non presenti sulla 14.2, d'altra parte se su SBo 14.2 mantengono la versione vecchia di virtualbox ci deve pur essere un motivo.


Chiedo, c'è qualche possibilità secondo voi di avere virtualbox, in qualsiasi versione su slackware 14.2, ma con il kernel aggiornato alla versione 5.10.4?
Cosa potrei tentare?

Grazie in anticipo!
Allegati
virtualbox-kernel.error.log
(25.02 KiB) Scaricato 5 volte

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2794
Iscritto il: mer 5 mar 2008, 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 5.10.7
Desktop: lxde
Località: Pisa
Contatta:

Re: Virtualbox-kernel su slackware 14.2 ma con kernel 5.10.4

Messaggio da ponce »

l'ultima versione stabile di Virtualbox non compila con i kernel 5.10.x (sto aspettando che esca la nuova per tentare di aggiornare lo SlackBuild, nonostante io usi libvirt e kvm) pero' potresti provare con i testbuild

https://www.virtualbox.org/wiki/Testbuilds
https://www.virtualbox.org/download/tes ... _amd64.run

io non li ho mai usati ma ho letto su LQ che qualcuno li sta usando con successo col kernel nuovo (su current, pero').

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 3311
Iscritto il: ven 27 apr 2007, 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Re: Virtualbox-kernel su slackware 14.2 ma con kernel 5.10.4

Messaggio da joe »

Anche io preferisco libvirt che sto usando attraverso virt-manager.
Sto provando un test che non mi riesce con una macchina virtuale, un'installazione di win10 non presidiata...
Allora volevo escludere che il problema no fosse dovuto per qualche santo a KVM/libvirt.
Per lo scopo volevo fare lo stesso test su virtualbox.

Pertanto i precompilato .run dovrebbe essere più che sufficiente allo scopo.
Non ho ben capito come si lega al kernel in uso, ma leggo il wiki... poi provo..
Alternativa potrebbe essere vmware, mi pare ci sia una versione community o comunque gratuita. Tanto per far la prova.

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 3311
Iscritto il: ven 27 apr 2007, 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Re: Virtualbox-kernel su slackware 14.2 ma con kernel 5.10.4

Messaggio da joe »

No, ho provato ma da sempre errore crasha e ciao...

Prima di approfondire, volevo fare una prova con vmware.

È possibile installarlo gratuitamente su slackware che voi sappiate?

Avatar utente
joe
Iper Master
Iper Master
Messaggi: 3311
Iscritto il: ven 27 apr 2007, 11:21
Slackware: 14.2
Kernel: 4.4.38
Desktop: KDE-4.14.21

Re: Virtualbox-kernel su slackware 14.2 ma con kernel 5.10.4

Messaggio da joe »

Volevo aggiornare la situazione circa Virtualbox. Perché riprovando ieri l'applicazione installata attraverso il "testbuild" si è avviata regolarmente, come aveva fatto anche l'altro giorno, ma questa volta è anche riuscita ad avviare la macchina virtuale che avevo creato senza problemi. Misteri.
Forse il riavvio del PC ha fatto il miracolo. Potrebbe essere che i moduli kernel della nuova installazione di Virtualbox richiedessero di essere attivati a mano, siccome prima avevo la versione vecchia di VB, compilata col vecchio kernel.. Bo non ho capito di preciso quale fosse il problema, ma l'unica cosa che è successa nel mio sistema negli ultimi giorni è il riavvio del PC, quindi immagino sia un problema di caricamento moduli o similare.

Con la configurazione in questione, cioè:
- slackware 14.2
- kernel 5.10.4
- VirtualBox-6.1.17-141968-Linux_amd64.run

La macchina virtuale sembra funzionare.

PS.
Come avevo accennato l'altra volta, solitamente uso virt-manager con libvirt/KVM, ma ho voluto provare anche un'alternativa (in questo caso virtualbox) per testare una procedura d'installazione non presidiata di win 10 che dava un errore del tipo "Windows cannot parse the unattend answer file's <DiskConfiguration> setting". Mi ero detto non si sa mai che sia dovuto a qualche problema di compatibilità con libvirt o il firmware uefi OVMF...
Invece provando con Virtualbox l'errore persiste anche lì, segno che ho proprio ceffato io qualcosa nel file di configurazione di Windows "AutoUnattend.xml", e non è colpa della macchina virtuale o del programma di virtualizzazione.

Rispondi